Bug 21797 - Update two-column templates with Bootstrap grid: Acquisitions part 5
Summary: Update two-column templates with Bootstrap grid: Acquisitions part 5
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 20654
  Show dependency treegraph
 
Reported: 2018-11-08 19:28 UTC by Owen Leonard
Modified: 2019-01-14 14:12 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21797: Update two-column templates with Bootstrap grid: Acquisitions part 5 (10.12 KB, patch)
2018-11-09 13:38 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21797: Update two-column templates with Bootstrap grid: Acquisitions part 5 (10.17 KB, patch)
2018-12-17 15:23 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 21797: Update two-column templates with Bootstrap grid: Acquisitions part 5 (10.25 KB, patch)
2019-01-01 22:21 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-11-08 19:28:06 UTC
This patch will convert some acquisitions templates to use the Bootstrap grid:

- modules/acqui/basket.tt
- modules/acqui/neworderempty.tt
- modules/acqui/supplier.tt
Comment 1 Owen Leonard 2018-11-08 19:39:09 UTC
neworderempty.tt and supplier.tt simply need some stray yui classes removed.
Comment 2 Owen Leonard 2018-11-09 13:38:03 UTC
Created attachment 82165 [details] [review]
Bug 21797: Update two-column templates with Bootstrap grid: Acquisitions part 5

This patch adds or corrects Bootstrap grids on three
acquisitions-related templates.

To test, apply the patch and confirm that these pages look correct and
adjust well to various browser widths:

- Acquisitions -> Vendor -> Basket -> View
- Acquisitions -> Vendor -> Details
- Acquisitions -> Vendor -> Basket -> Add to basket -> From a new
  (empty) record
Comment 3 Claire Gravely 2018-12-17 15:23:40 UTC
Created attachment 83302 [details] [review]
Bug 21797: Update two-column templates with Bootstrap grid: Acquisitions part 5

This patch adds or corrects Bootstrap grids on three
acquisitions-related templates.

To test, apply the patch and confirm that these pages look correct and
adjust well to various browser widths:

- Acquisitions -> Vendor -> Basket -> View
- Acquisitions -> Vendor -> Details
- Acquisitions -> Vendor -> Basket -> Add to basket -> From a new
  (empty) record

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 4 Katrin Fischer 2019-01-01 22:21:52 UTC
Created attachment 83568 [details] [review]
Bug 21797: Update two-column templates with Bootstrap grid: Acquisitions part 5

This patch adds or corrects Bootstrap grids on three
acquisitions-related templates.

To test, apply the patch and confirm that these pages look correct and
adjust well to various browser widths:

- Acquisitions -> Vendor -> Basket -> View
- Acquisitions -> Vendor -> Details
- Acquisitions -> Vendor -> Basket -> Add to basket -> From a new
  (empty) record

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Nick Clemens 2019-01-11 13:33:31 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-01-14 14:12:31 UTC
Enhancement, will not be backported to 18.11.x series.